Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 768573 - dev-libs/udis86-1.7.2-r1 fails test
Summary: dev-libs/udis86-1.7.2-r1 fails test
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Chí-Thanh Christopher Nguyễn
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: 768576
  Show dependency tree
 
Reported: 2021-02-03 21:24 UTC by Thomas Deutschmann
Modified: 2021-03-06 18:55 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,28.40 KB, text/plain)
2021-02-03 21:24 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2021-02-03 21:24:41 UTC
Created attachment 685719 [details]
build.log

> >>> Test phase: dev-libs/udis86-1.7.2-r1
>  * abi_x86_32.x86: running multilib-minimal_abi_src_test
> make --jobs 5 --load-average 7.95   check
> Making check in scripts
> make[1]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/scripts'
> make[1]: Nothing to be done for 'check'.
> make[1]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/scripts'
> Making check in libudis86
> make[1]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/libudis86'
> make  check-am
> make[2]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/libudis86'
> make[2]: Nothing to be done for 'check-am'.
> make[2]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/libudis86'
> make[1]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/libudis86'
> Making check in udcli
> make[1]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/udcli'
> make[1]: Nothing to be done for 'check'.
> make[1]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/udcli'
> Making check in docs
> make[1]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/docs'
> Making check in x86
> make[2]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/docs/x86'
> make[2]: Nothing to be done for 'check'.
> make[2]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/docs/x86'
> Making check in manual
> make[2]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/docs/manual'
> make  check-local
> make[3]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/docs/manual'
> make[3]: Nothing to be done for 'check-local'.
> make[3]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/docs/manual'
> make[2]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/docs/manual'
> make[2]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/docs'
> make[2]: Nothing to be done for 'check-am'.
> make[2]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/docs'
> make[1]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/docs'
> Making check in tests
> make[1]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/tests'
> make  symresolve bufoverrun libcheck
> make[2]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/tests'
> i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests -I..    -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/libudis86 -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2 -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -Wall -c -o symresolve-symresolve.o `test -f 'symresolve.c' || echo '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/'`symresolve.c
> i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests -I..    -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/libudis86 -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2 -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -Wall -c -o bufoverrun-bufoverrun.o `test -f 'bufoverrun.c' || echo '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/'`bufoverrun.c
> i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests -I..    -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/libudis86 -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2 -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -Wall -c -o libcheck-libcheck.o `test -f 'libcheck.c' || echo '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/'`libcheck.c
> /bin/sh ../libtool  --tag=CC   --mode=link i686-pc-linux-gnu-gcc -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/libudis86 -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2 -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -Wall  -Wl,-O1 -Wl,--as-needed -o symresolve symresolve-symresolve.o ../libudis86/libudis86.la 
> /bin/sh ../libtool  --tag=CC   --mode=link i686-pc-linux-gnu-gcc -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/libudis86 -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2 -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -Wall  -Wl,-O1 -Wl,--as-needed -o bufoverrun bufoverrun-bufoverrun.o ../libudis86/libudis86.la 
> /bin/sh ../libtool  --tag=CC   --mode=link i686-pc-linux-gnu-gcc -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/libudis86 -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2 -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -Wall  -Wl,-O1 -Wl,--as-needed -o libcheck libcheck-libcheck.o ../libudis86/libudis86.la 
> libtool: link: i686-pc-linux-gnu-gcc -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/libudis86 -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2 -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -Wall -Wl,-O1 -o .libs/bufoverrun bufoverrun-bufoverrun.o  -Wl,--as-needed ../libudis86/.libs/libudis86.so
> libtool: link: i686-pc-linux-gnu-gcc -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/libudis86 -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2 -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -Wall -Wl,-O1 -o .libs/symresolve symresolve-symresolve.o  -Wl,--as-needed ../libudis86/.libs/libudis86.so
> libtool: link: i686-pc-linux-gnu-gcc -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/libudis86 -I/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2 -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -Wall -Wl,-O1 -o .libs/libcheck libcheck-libcheck.o  -Wl,--as-needed ../libudis86/.libs/libudis86.so
> make[2]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/tests'
> make  check-local
> make[2]: Entering directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/tests'
> Generating operand tests.
> test-buf-overrun: passed
> test-libcheck: passed
> test-sym-resolver: passed.
> MODE64: Coverage = 151 / 151 (100%)
> MODE32: Coverage = 155 / 155 (100%)
> MODE16: Coverage = 155 / 155 (100%)
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/16/test16.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/16/disp.asm: PASS
> DIFFTEST ./_results/asm/16/oprtest.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/32/test32.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/32/reljmp.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/32/corner.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/32/att.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/32/sext.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/32/disp.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/32/obscure.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/32/invalid_seg.asm: PASS
> DIFFTEST ./_results/asm/32/oprtest.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/64/amd/invalid.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/64/intel/invalid.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/64/reljmp.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/64/sext.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/64/branch.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/64/disp.asm: PASS
> DIFFTEST /var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2/tests/asm/64/test64.asm: PASS
> DIFFTEST ./_results/asm/64/oprtest.asm: ***FAIL*** (./_results/asm/64/oprtest.asm.diff.log)
> make[2]: *** [Makefile:739: difftest] Error 1
> make[2]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/tests'
> make[1]: *** [Makefile:583: check-am] Error 2
> make[1]: Leaving directory '/var/tmp/portage/dev-libs/udis86-1.7.2-r1/work/udis86-1.7.2-abi_x86_32.x86/tests'
> make: *** [Makefile:481: check-recursive] Error 1
>  * ERROR: dev-libs/udis86-1.7.2-r1::gentoo failed (test phase):
>  *   Make check failed. See above for details.


Portage 3.0.13 (python 3.8.6-final-0, default/linux/x86/17.0, gcc-9.3.0, glibc-2.32-r6, 5.4.92-gentoo-x86 i686)
=================================================================
System uname: Linux-5.4.92-gentoo-x86-i686-with-glibc2.1.3
KiB Mem:     3106076 total,   1125840 free
KiB Swap:    8387560 total,   8387560 free
Timestamp of repository gentoo: Wed, 03 Feb 2021 11:17:50 +0000
Head commit of repository gentoo: 05893fc6b59c0facc472ec7641a9c282a76dd0bc

sh bash 5.0_p18
ld GNU ld (Gentoo 2.35.1 p2) 2.35.1
ccache version 4.1 [enabled]
app-shells/bash:          5.0_p18::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          3.8.6-r1::gentoo, 3.9.0-r1::gentoo
dev-util/ccache:          4.1::gentoo
dev-util/cmake:           3.17.4-r1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1-r1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.2-r1::gentoo
sys-devel/binutils:       2.35.1-r1::gentoo
sys-devel/gcc:            9.3.0-r2::gentoo
sys-devel/gcc-config:     2.3.2-r1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r6::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ADA_TARGET="gnat_2018"
ARCH="x86"
BINPKG_COMPRESS="bzip2"
BROOT=""
CBUILD="i686-pc-linux-gnu"
CCACHE_DIR="/var/cache/ccache"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/*"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
EPREFIX=""
EROOT="/"
ESYSROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg ccache cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/9.3.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.35.1/info:/usr/share/info"
INPUT_DEVICES="libinput"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-guest prefix-stack"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
LUA_SINGLE_TARGET="lua5-1"
LUA_TARGETS="lua5-1"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MANPAGER="manpager"
MOTD_SHOWN="pam"
MULTILIB_ABIS="x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OPENCL_PROFILE="ocl-icd"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/11/bin"
PHP_TARGETS="php7-3 php7-4"
POSTGRES_TARGETS="postgres10 postgres11"
PWD="/root"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_8"
PYTHON_TARGETS="python3_8"
QT_GRAPHICSSYSTEM="raster"
ROOT="/"
ROOTPATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/11/bin"
RUBY_TARGETS="ruby25 ruby26"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
SYSROOT="/"
TERM="tmux-256color"
TMUX="/tmp//tmux-0/default,3299,0"
TMUX_PANE="%1"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="vmware"
XDG_RUNTIME_DIR="/run/user/0"
XDG_SESSION_CLASS="user"
XDG_SESSION_ID="1"
XDG_SESSION_TYPE="tty"
Comment 1 Andreas Sturmlechner gentoo-dev 2021-02-03 21:34:39 UTC
Not reproducible on amd64 when testing with ABI_X86="32 (64)"
Comment 2 Andreas Sturmlechner gentoo-dev 2021-02-25 14:09:13 UTC
app-editors/wxhexeditor have bundled udis86 as a result of the package being unmaintained upstream, maybe one of their commits fixes the race conditions.

See also: https://github.com/EUA/wxHexEditor/commits/master/udis86
Comment 3 Larry the Git Cow gentoo-dev 2021-03-06 18:55:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49d6eac33c52e82b98c4715a843cd2ff35b7ed9a

commit 49d6eac33c52e82b98c4715a843cd2ff35b7ed9a
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2021-03-06 18:55:08 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-03-06 18:55:08 +0000

    dev-libs/udis86: Fix uninitialized var
    
    * Taken from upstream commit
      https://github.com/vmt/udis86/commit/cce390dd61996e569bd8a3bca78e7aa4b286d6df
    
    Closes: https://bugs.gentoo.org/768573
    Package-Manager: Portage-3.0.16, Repoman-3.0.2
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../udis86-1.7.2-uninitialized-variable.patch      | 22 ++++++++++++++++++++++
 dev-libs/udis86/udis86-1.7.2-r1.ebuild             |  1 +
 2 files changed, 23 insertions(+)